/*
************************************************
*==========[TBDEV Release Edition]=============*
************************************************
*/
body {
  font-family: Verdana, Geneva, Arial, Helvetica, sans-serif;
  font-size: 11px;
  background: url('1/bg_line.png') repeat;
  height:100%;
  padding:0;
  color:#e7e7e7;
  margin: 0;
}
       
        
/* Table szekcio */
table {
  border-collapse: collapse;
  border: none;
  background-color: #474747;
}

table.main, table.mainouter {
  background-image: url('1/main_top.jpg') no-repeat;
}

table.bottom {
  background: transparent;
}

.table-center {
  margin-left: auto;
  margin-right: auto;
  display: table;
}

.table_title { 
  display: flex; 
  align-items: center; 
  width: 898px; 
  height: 22px; 
  background: url('1/fobox_fej.png') no-repeat center center;  
  margin: 0; 
  padding: 0 0 0 5px; 
  box-sizing: border-box; 
  font-size: 11px; 
  font-weight: bold; 
  margin-left: auto; 
  margin-right: auto; 
}
/* Vege */


/* TD szekcio */
td, th {
  border: solid #000000 1px;
}


td.embedded {
  border: none;
  padding: 0px;
  text-align: left;
}

td.bottom {
  border: none;
}

td.heading {
  font-weight: bold;
}

td.text {
  padding: 13px;
  text-align: left;
}

td.comment {
  padding: 13px;
  font-size: 11px;
  text-align: left;
}

td.colhead {
  font-weight: bold;
  color: #ffffff;
  background-image: url('1/colhead.png');  
  background-repeat: no-repeat;
  background-size: 100% 100%;
}

td.rowhead {
  font-weight: bold;
  text-align: right;
  vertical-align: top;
}

td.title {
	font-size: 19px;
}

td.clear {
  padding: 0px;
  border: 0px;
  background: transparent;
}
/* Vege */

/* Alap HTML tagek */
h1 {
  font-size: 16px;
}

h2 {
  font-size: 13px;
  margin-bottom: 6px;
}

p {
  font-size: 11px;
}

form {
	margin-top: 0;
	margin-bottom: 0;
}

a {
  color: #e7e7e7;
  text-decoration: none;
}

a:hover {
  color: #58ace0;
}

input  {
  font-size: 11px;
  background: #B8B8B8;
  border: 1px solid #999;
  color: #474747;
  height: 20px;
  box-sizing: border-box;
  vertical-align: middle;
}

select {
  font-size: 11px;
  background: #B8B8B8;
  border: 1px solid #999;
  color: #474747;
  height: 20px;
  box-sizing: border-box;
  vertical-align: middle;
}

textarea {
	font-size: 11px;
  background:#B8B8B8;
  border:1px solid #999;
  color:#474747;
}

li {
  margin: 0;
  padding-left: 10px;
  list-style-type: disc;  
}

ul {
  margin: 0;
  padding: 10px; 
  list-style-position: inside;
}

img { 
  border: none; 
}
/* Vege */



/* Toggle */
.links { display: inline-flex; align-items: center; text-decoration: none; }
.icons { position: relative !important; top: -1px; vertical-align: middle; }
.links-text { position: relative; top: -1px; }
/* Vege */


.small { font-size: 9px; }
.sublink { font-style: italic; font-size: 9px; font-weight: normal; }

.text-left { text-align: left; }
.text-right { text-align: right; }
.text-center { text-align: center; }
.text-justify { text-align: justify; }

.text-bold { font-weight: bold; }
.text-italic { font-style: italic; }
.text-underline { text-decoration: underline; }
.text-wrap { display: block; max-width: 145px; word-break: break-all; white-space: normal; }
.text-nowrap { white-space: nowrap; }

.vtop { vertical-align: top; }
.vcenter { vertical-align: middle; }

/* Szoveg szinek */
.text-black { color: black; }
.text-white { color: white; }
.text-green { color: green; }
.text-red   { color: #e06666; }
.text-blue { color: blue; }
.text-gray { color: gray; }
.text-orange { color: orange; }
.text-lime { color: lime; }

/* Szegelyek */
.border { border: 1px solid #828282; }
.border-common { border: none; }
.border-left { border-left: 1px solid #828282; }
.border-right { border-right: 1px solid #828282; }
.border-top { border-top: 1px solid #828282; }
.border-bottom { border-bottom: 1px solid #828282; }


.thumb-trailer {
  width: 200px; 
  height: auto;
}

.new_message {
  padding: 10px; 
  background: red;
}

/* Gomb */
.button { background: linear-gradient(to bottom, #a44f29, #7e3c1e); border: 1px solid #5c2b14; border-radius: 5px; color: #ffffff; font-size: 10px; font-weight: bold; text-shadow: 1px 1px 2px #3d1a09; padding: 4px 17px; box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.3); transition: transform 0.2s ease, box-shadow 0.2s ease; text-decoration: none; }
.button:hover { background: linear-gradient(to bottom, #b85932, #8c4725); box-shadow: 0px 6px 8px rgba(0, 0, 0, 0.4); text-decoration: none; }
.button:active { background: linear-gradient(to bottom, #7e3c1e, #a44f29); transform: translateY(2px); box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.3); }

/* Bookmark icon */
.bookmark { vertical-align: middle; display: inline-block; transform: translateY(1px); }
.bookmark_img { width: 14px; height: 14px; }
.bookmark-icon { position: absolute; top: 50%; left: 5px; transform: translateY(-50%); width: 16px; height: 16px; background-size: contain; background-repeat: no-repeat; background-position: center; }
.bookmark-image { display: inline-block; width: 15px; height: 15px; background-image: url('1/bookmark.gif'); background-size: contain; background-repeat: no-repeat; background-position: center; }
             




/* 2024-es kódok */

/* userdetails.php */
.avatar-img { max-width: 150px; height: auto; }

/* Husveti tojasok */
.gold-egg { background-image: url("./../pic/eggs/gold.png"); }
.silver-egg { background-image: url("./../pic/eggs/silver.png"); }
.bronze-egg { background-image: url("./../pic/eggs/bronze.png"); }
.mystery-egg { background-image: url("./../pic/eggs/mystery.png"); }
.black-egg { background-image: url("./../pic/eggs/black.png"); }

.egg { width: 50px; height: 70px; position: absolute; cursor: pointer; background-size: cover; background-position: center; background-color: transparent !important; }
/* Vege */

/* Borítókép */
.poster { width: 200px; height: auto; border: 0; box-shadow: 0px 4px 12px rgba(0, 0, 0, 0.15); border-radius: 5px; transition: transform 0.3s ease; cursor: pointer; }
/* Vége */

/* YouTube play button on YouTube picture */
#fancy_container { position: relative; box-shadow: 0px 4px 12px rgba(0, 0, 0, 0.15); border-radius: 5px; }
#fancy_container img.play-trailer { position: absolute; top: 0; left: 0; right: 0; bottom: 0; margin: auto; }
#fancy_container i { font-size: 72px; color: white; opacity: 0.7; margin-left: -30px; margin-top: -36px; position: absolute; top: 50%; left: 50%; }
#fancy_container img.play-trailer { position: absolute; top: 16px; left: 0; right: 0; bottom: 0; margin: auto; }
/* Vége */



/* stdhead.php */
.logo { width: 918px; height: 120px; background: url('1/logo.png') no-repeat center center; background-size: contain; margin-top: -4px; margin-bottom: -4px; margin-left: 0px; margin-right: 0px; }


/* Infosav */
#infosav { background: url('1/infosav.png'); height: 25px; margin: 0 auto; width: 100%; }
#infosav_adatok { color: #e7e7e7; float: left; padding: 5px 0px 0px 5px; }
#infosav_extra { float: right; padding: 4px 5px 0; width: auto; }

#i_e_log { background: url('1/info_staff.png'); float: left; height: 15px; width: 28px; }
#i_e_log a { display: block; width: 100%; height: 100%; }

#i_e_konyvjelzo { background: url('1/info_extra_konyvjelzo.gif'); float: left; height: 15px; width: 28px; }
#i_e_konyvjelzo a { display: block; width: 100%; height: 100%; }


.i_e_vonal { background: url('1/info_extra_vonal.gif'); float: left; height: 15px; margin: 0 3px 0 6px; width: 5px; }

#i_e_beallitasok { background: url('1/info_extra_beallitasok.gif'); float: left; height: 15px; width: 28px; }
#i_e_beallitasok a { display: block; width: 100%; height: 100%; }

#i_e_level { background: url('1/info_extra_pm.gif'); float: left; height: 15px; width: 28px; }
#i_e_level a { display: block; width: 100%; height: 100%; }

#i_e_meghivo { background: url('1/info_extra_meghivas.gif'); float: left; height: 15px; width: 28px; }
#i_e_meghivo a { display: block; width: 100%; height: 100%; }

.list_alert { color: #58ace0 !important; }
/*Vege*/

/* Menu */
a.menu_link { color: #e7e7e7; text-decoration: none; }
a.menu_link:hover { color: #299adf; text-decoration: none; }

#menu_bg { background: url('1/menu_bg.png') no-repeat center center; height: 29px; margin: 0 auto; }
#menu_all { height: 29px; margin: 0 auto; width: 918px; }
#menu_left { background: url('1/menu_left.png'); float: left; height: 29px; width: 10px; }
#menu_center { background: url('1/menu_center.png'); float: left; height: 20px; padding-left: 3px; padding-top: 9px; width: 895px; }
#menu_right { background: url('1/menu_right.png'); float: left; height: 29px; width: 10px; }
.menu_text { float: left; font-weight: 600; }
.menu_arrow { background: url('1/menu_arrow.png'); float: left; height: 11px; margin-top: 1px; width: 25px; }
/* Vege */


/* torrenttable.php */
.even { background-color: #616161; }
.odd { background-color: #545454; }

/* index.php */
.news_content { background: #513b3b; margin-bottom: 10px; padding: 10px; border: 1px solid #828282; }


/* torrent_lenyillo.php */
.options-section { width: 100%; padding: 0px; background: url('1/download_bg.png') repeat-x; }
#menu { margin-left: 5px; }
.download_separ { background:url('1/download_separ.gif'); float:left; height:35px; margin:0 8px; width:2px; }
.seed_ido, .seed_sebesseg { text-align: center; }
.description { width: 99%; max-width: 800px; text-align: justify; word-wrap: break-word; padding: 5px; }
.divider { display: flex; align-items: center; justify-content: center; background-color: #4c4c4c; height: 1px; position: relative; }
.divider::before, .divider::after { content: ""; height: 1px; width: 50px; background: #f0d900; }
.divider::before { margin-right: 5px; }
.divider::after { margin-left: 5px; }
.divider-middle { flex: 1; height: 1px; background: #828282; }
.divider-text { position: absolute; background-color: #4c4c4c; padding: 0 10px; color: #f0d900; font-size: 10px; font-weight: bold; }


/*viewnfo.php */
.nfo_background { background-color: #6F6F6F; border: 1px solid gray; }

/* stdfoot.php */
.footer_center { display: flex; align-items: center; justify-content: center; background: url(1/footer_center.png) center center no-repeat; background-size: cover; color: #9C9C9C; border: none; font-size: 9px; width: 919px; height: 34px; }

/* Torrent ajanlo es Top 5 torrent CSS */
.ajanlo, .top5 { width: 100%; max-width: 898px; margin: 0 auto; }
.movies-container { display: flex; flex-wrap: wrap; justify-content: space-between; gap: 1px; padding: 1px; }
.movie-card { width: calc(19% - 10px); min-width: 167px; padding: 5px; text-align: center; }
.movie-image-container { aspect-ratio: 2/3; width: 100%; overflow: hidden; transition: transform 0.3s ease-in-out; }
.movie-image-container:hover { transform: scale(1.08); }
.movie-image { width: 100%; height: 100%; object-fit: cover; object-position: center; }
.no-movies { width: 100%; padding: 10px; text-align: center; }
.details p { text-align: left; font-size: 11px; border-bottom: 1px solid gray; }
.shadow { border: none; box-shadow: 2px 5px 4px rgba(0, 0, 0, 0.2), 0 3px 10px 0 rgba(0, 0, 0, 0.19); }

/* Szavazo */
.poller { border: none; margin-bottom: 10px; }
.pollerTitle { font-weight: bold; font-size: 14px; }
.pollerOption { margin: 0px; text-align: left; }
.result_pollerOption { font-size: 11px; margin-bottom: 3px; font-weight: bold; }
.result_pollerTitle { font-weight: bold; font-size: 14px; text-align: center; }
.result_pollGraph img { float: left; }
.result_pollGraph div { float: left; height: 16px; background-repeat: repeat-x; color: #FFF; line-height: 16px; }
.result_pollGraph { height: 16px; }
.poller_waitMessage { display: none; }
.result_totalVotes { clear: both; margin-top: 10px; font-style: italic; padding: 5px; }
/* Vege */


/* Hozzaszolas a torrent adatlapon */
.comment-title { background: url('1/comment_title.jpg') no-repeat; font-weight: bold; height: 32px; }
.comment-title-text { margin-left: 45px; }

/* Helpdesk */
.helpdesk-title { background: url('1/comment_title.jpg') no-repeat center center; background-size: cover; height: 32px; width: 898px; display: table; }
.helpdesk-title-text { margin-left: 40px; position: relative; top: 10px; display: block; font-weight: bold; }


/* Torles gomb konyvjelzo */
.bookmark-delete-button { padding: 0px; padding-top: 10px; }

/*Email change */
.email-change { padding: 8px; border: 1px dashed red; background-color: #ffcccc; margin-left: 10px; margin-right: 10px; }

/* H&R description */
.hnr-descr { display: none; margin: 0 auto; max-width: 600px; background: #f9f9f9; border: 1px solid #ddd; padding: 10px; border-radius: 5px; text-align: left; }
.hnr-text { margin: 0; font-size: 14px; line-height: 1.6; color: black; }

/* Seed info */
.seed-info { padding: 8px; border: 1px dashed red; background-color: #ffcccc; margin-left: 10px; margin-right: 10px; color: black;   font-weight: bold; width: 98%; margin: 0; }

/* Status */
.fix-td { position: relative; }
.status-icon { position: absolute; top: 50%; right: 5px; transform: translateY(-50%); width: 16px; height: 16px; background-size: contain; background-repeat: no-repeat; background-position: center; }

/* Moderálási állapotok */
.torrent-ok { background-image: url('1/ico_ok.gif'); }
.torrent-unchecked { background-image: url('1/ico_unchecked.gif'); }
.torrent-error { background-image: url('1/ico_err.gif'); }

/* Uj torrent jelzo */
.new-torrent-status-icon { position: absolute; top: 50%; right: 30px; transform: translateY(-50%); width: 16px; height: 16px; background-size: contain; background-repeat: no-repeat;  background-position: center;  display: inline-block; }
.torrent-new { background-image: url('1/ico_new.gif'); }

/* Inaktív állapot */
.inactive { pointer-events: none; /* Tiltsa le a kattintásokat */ opacity: 0.5; /* Átlátszóbbá teszi a linket */ }
.inactive .text-bold { color: #888; /* Halványabb szöveg szín */ }
.inactive .icons { filter: grayscale(100%); /* Szürke árnyalatú ikont ad */ }

/* Player */
.thumb-trailer { position: relative; display: inline-block; width: 200px; height: 135px; background-size: cover; background-position: center; border-radius: 18px; overflow: hidden; cursor: pointer; text-decoration: none; }

/* ikonok */
.icon-imdb, .icon-porthu, .icon-youtube { display: inline-block; background-size: contain; }
.imdb-icon { background-image: url('1/imdb.png'); width: 32px; height: 10px; }
.porthu-icon { background-image: url('1/port.png'); width: 45px; height: 10px; }
.youtube-icon { background-image: url('1/youtube.png'); width: 46px; height: 10px; }


/* letoltes oldalon az adatok a + jel jobb oldalan */
.torrent-datas-right { margin-left: 21px; display: inline-block; }

/* Kazegoriak browse.php */
.categories { display: grid; grid-template-columns: repeat(auto-fit, minmax(100px, 1fr)); }
.categories-label { white-space: nowrap; display: flex; align-items: center; gap: 0px; }

/* Mufajok browse.php */
.genres { display: grid; grid-template-columns: repeat(auto-fit, minmax(90px, 1fr)); gap: 5px; }
.genres-label { white-space: nowrap; }

/* Image upload window */
.img-upload-window { position:absolute; top:50%; left:50%; transform: translate(-50%, -50%); background-color:#474747; padding:5px; cursor:move; resize:both; overflow:auto; min-width:710px; min-height:250px; }

/* Toggle poster */
.toggle-poster { width: 145px; height: auto; margin-top: 0px !important; }

/* Torrent name cell */
.torrent-name-cell { display: flex; justify-content: space-between; width: 100%; }

/* Reports */
.reports { padding: 10px; background: blue; }

/* New poll */
.new-poll { padding: 10px; background: green; }  

/* Message & Report button position in userdetails */
.rep-mess-button { display: flex; justify-content: center; align-items: center; gap: 10px; padding: 10px; } 

/* Container */
.container { background: url('1/bg_center.png'); display: table; width: 982px; margin: 0 auto; height: 100%; }

/* staffpanel */
.staffpanel-text { color: #FA8072; }

/* Class colors */
.sysop { color: #ff8000; }
.admin { color: #a335ee; }
.moderator { color: #1E90FF; }
.uploader { color: #2587A7; }
.vip { color: #e6cc80; }
.tag { color: green; }
.felhasznalo { color: white; }

/* Torrent lista sor magassag */
.fix-height { height: 42px !important; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; }

/* details.php gallery icons */
.gallery-icons { display: flex; justify-content: space-between; align-items: center; gap: 5px; padding: 0 5px; }
.gallery-icons a { flex: 1; text-align: center; }
.gallery-icons i { display: block; width: 100%; }

.cloud { background-image: url('1/main_bottom.jpg'); background-position: right bottom; background-repeat: no-repeat; bottom: 0px; right: 0; width: 918px; height: 154px; pointer-events: none; border: 0px; }
.gray-cloud { background-image: url('1/main_top.jpg'); background-position: top left; background-repeat: no-repeat; left: 0; width: 918px; height: 100%; border: 0; }

/* Date - Time */
#datetime-container { display: flex; justify-content: flex-end; align-items: right; gap: 10px; border: 0px; }

/* Live search style */
#searchResults { border: 1px solid #555; display: none; max-height: 300px; overflow-y: auto; background: #3a3a3a; margin-top: 5px; }
#searchResults .result-item { padding: 10px 15px; border-bottom: 1px solid #4a4a4a; background: #3a3a3a; }
#searchResults .result-item:last-child { border-bottom: none; }
#searchResults .result-item:hover { background-color: #4a4a4a; }
#searchResults .result-item a { text-decoration: none; color: #ddd; display: block; font-size: 12px; }
#searchResults .result-item a:hover { color: #ff8c42; }

/* Quote post in forum */
.quote-block { background-color: #d2d2d2; border: 1px dashed #666; padding: 5px 22px; font-style: italic; color: #000; border-radius: 6px; margin: 10px 0; }
.quote-author { font-weight: bold; color: #333; margin-bottom: 5px; }
.quote-text { margin: 0; }

/* toggle a panelekhez az üzenőfal alatt */
.slide-panel { overflow: hidden; max-height: 0; transition: max-height 280ms ease; }
.slide-panel.loading{ display: block; }

/* lágy fade-váltás a fülváltáshoz az üzenőfalon */
#lennylilo2 { transition: opacity 0.35s ease; }